dbXML API

## com.dbxml.db.common.security
Class SimpleSecurityManager

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.common.security.SecurityManagerBase
              com.dbxml.db.common.security.SimpleSecurityManager

All Implemented Interfaces:
  Configurable, SecurityManager

public final class SimpleSecurityManager
extends SecurityManagerBase

SimpleSecurityManager is an incredibly simple SecurityManager implementation that allows a single User ID and password to be defined for the entire database. The User ID and password are defined in the system.xml file instead of being stored in the database itself.

Constructor Summary
`SimpleSecurityManager()`

Method Summary
`void` `access(java.lang.String path, int mask)` access performs an access control check against the SecurityManager's access control lists.
`void` `authenticate(java.lang.String userID, java.lang.String password)` authenticate checks a User against the SecurityManager's access control lists.
`void` `setConfig(Configuration config)` setConfig sets the configuration information for the Configurable object instance.

Methods inherited from class com.dbxml.db.common.security.SecurityManagerBase
`getCurrentUserID, setDatabase, setMagicUser, setUserStack`

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig`

Constructor Detail

### SimpleSecurityManager

    public SimpleSecurityManager()

Method Detail

### setConfig

    public void setConfig(Configuration config)
                   throws dbXMLException

  Description copied from interface: `Configurable`
  setConfig sets the configuration information for the Configurable object instance.

  Specified by:
    `setConfig` in interface `Configurable`
  Overrides:
    `setConfig` in class `SimpleConfigurable`
  Throws:
    `dbXMLException`

### authenticate

    public void authenticate(java.lang.String userID,
                             java.lang.String password)
                      throws SecurityException

  Description copied from interface: `SecurityManager`
  authenticate checks a User against the SecurityManager's access control lists. If the user ID and password do not check out, a SecurityException is thrown.

  Parameters:
    `userID` - the User ID to check
    `password` - the Password to check
  Throws:
    `SecurityException`

### access

    public void access(java.lang.String path,
                       int mask)
                throws SecurityException

  Description copied from interface: `SecurityManager`
  access performs an access control check against the SecurityManager's access control lists. If the current user isn't allowed to access the specified path with the defined permission mask, a SecurityException is thrown.

  Parameters:
    `path` - the resource path being accessed
    `mask` - The access mask to check against
  Throws:
    `SecurityException`

dbXML API

Copyright (c) 2004 The dbXML Group